@menu-outline: "./images/menu_out.png";
@menu-bg: "./images/menu_bg.png";
@menu-system: "./images/menu_setting.png";
@menu-file: "./images/menu_file.png";
@menu-report: "./images/menu_report.png";
@menu-dataManagement: "./images/menu_dm.png";
@menu-individual: "./images/menu_individual.png";
@menu-masterPlan: "./images/menu_masterplan.png";

.content {
  display: flex;
  padding: 0 50px;
  align-items: center;
  justify-content: center;
  font-family: 'Anton', sans-serif;
  min-height: 100vh;
  background-size: cover;

  &>div {
    flex-grow: 1;
  }
}

.layout {
  min-height: 100vh;
}

.header {
  background: unset;
  line-height: unset;
  position: fixed;
  width: 100%;
  padding: 1.5rem 4rem;
}

.headerContent {
  display: flex;
  justify-content: space-between;
  font-family: 'Anton', sans-serif;

  >.headerLeft {
    display: flex;
    align-items: center;

    h3 {
      color: white;
      font-weight: 600;
      font-size: 1.3rem;
    }

    Form {
      margin-left: 2rem;
    }
  }

  >.headerRight {
    display: flex;
    align-items: center;

    p {
      color: white;
      font-weight: 300;
      margin: unset;

      span {
        font-weight: 600;
      }
    }

    Button {
      padding: unset;
    }

    >div {
      margin-right: 0.5rem;
      text-align: right;

      >div {
        display: flex;
      }
    }
  }
}

.button {
  cursor: pointer;
  position: absolute;
  background-size: contain;

  &:hover {
    z-index: 10;
    transform: scale(1.3, 1.3);
  }
}

.menuContainer {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

  >.menu {
    background-image: url(@menu-outline);
    height: 25rem;
    width: 25rem;
    background-size: contain;
    padding: 1.5rem;
  }

  .bg {
    position: relative;
    background-image: url(@menu-bg);
    height: 100%;
    width: 100%;
    background-size: contain;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .system {
    background-image: url(@menu-system);
    width: 7rem;
    height: 7rem;
    background-size: contain;
    .button();
  }

  .file {
    .button();
    background-image: url(@menu-file);
    width: 194px;
    top: 8px;
    height: 102.18px;
  }

  .report {
    .button();
    background-image: url(@menu-report);
    width: 115px;
    top: 45px;
    left: 9px;
    height: 178.18px;
  }

  .dataManagement {
    .button();
    background-image: url(@menu-dataManagement);
    width: 154px;
    top: 206px;
    left: 20px;
    height: 137.18px;
  }

  .individual {
    .button();
    background-image: url(@menu-individual);
    width: 150px;
    top: 206px;
    left: 182px;
    height: 138.18px;
  }

  .masterPlan {
    .button();
    background-image: url(@menu-masterPlan);
    width: 118px;
    top: 44px;
    left: 226px;
    height: 184.18px;
  }
}


.login {
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: center;

  &>div {
    background-color: #1D2731;
    padding: 2.5rem;
    border-radius: 1rem;
    text-align: center;
    min-width: 21rem;

    &>h3 {
      color: white;
      font-size: 1.5rem;
      font-weight: 600;
    }
  }

  Button {
    min-width: 8rem;

    span {
      font-weight: bold;
    }
  }
}

.inline_item {
  display: flex;
  justify-content: space-between;

  Button {
    padding: unset;
  }

  span {
    color: white;
  }
}

.inputRound {
  border-radius: 1rem;
}

.clock {
  height: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;

  h1 {
    font-family: 'Pontano Sans', sans-serif;
    color: white;
    margin: unset;
    font-size: 6rem;
  }

  h5 {
    font-family: 'Pontano Sans', sans-serif;
    color: white;
    margin: unset;
    font-size: 1.5rem;
  }

  img {
    height: 11rem;
    margin-left: -2.5rem;
  }
}

.subMenu {
  // color: white;
  border-radius: 5rem;
  padding: 0.2rem 1rem;

  a {
    text-decoration: none;
    color: white;
    font-weight: bold;
    text-transform: capitalize;

    &:hover {
      z-index: 1000;
      font-size: 1.2rem;
    }
  }

}

.customDot {
  width: 1rem;
  height: 1rem;
  border-radius: 50%;
  background-color: white;
  position: absolute;
  right: -8px;
  top: -4px;
}

.copyright {
  position: fixed;
  left: 8px;
  font-size: 11px;
  bottom: 4px;
  color: #ffffff8a;
}